using System;
using System.IO;
using Addison_Wesley.Codebook.Filesystem;

namespace Zjištění_velikosti_složky
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
          Console.Title = "Zjištění velikosti složky";

         // Zjištění systémového adresáře Windows nebo složky Temp
         string folderName = //Environment.SystemDirectory;
                              @"c:\Temp\";

         Console.WriteLine("Zjišťuji velikost složky {0}", folderName);

         try
         {
            // Zjištění velikosti složky
            long folderSize = FolderUtil.GetFolderSize(folderName);

            Console.WriteLine("Velikost {0}: {1:#,#0} bajtů.", folderName,
               folderSize);
         }
         catch (IOException ex)
         {
            Console.WriteLine("Chyba: {0}.", ex.Message);
         }

         Console.WriteLine();
         Console.WriteLine();
         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}
